'-------------------------------------------------------------------------------
'--                                                                           --
'--  FILE          :  SymbolInfo.vb                                           --
'--                                                                           --
'--  Author(s)     :  Yin Xuebin (Three Swordsmen Team)                       --
'--                                                                           --
'--  NameSpace     :  WomenWCCore.Infos.Analyzer                              --
'--                                                                           --
'--  Project       :  WomenWCCore                                             --
'--                                                                           --
'--  Solution      :  Women Working with COBOL                                --
'--                                                                           --
'--  Creation Date :  2007/04/10                                              --
'-------------------------------------------------------------------------------
'--  Modifications :                                                          --
'--                                                                           --
'--                                                                           --
'--                                                                           --
'-------------------------------------------------------------------------------
'-- Copyright(C) 2007, Three Swordsmen, Beijing China                         --
'--                                                                           --
'-- This software is released under the GNU General Public License            --
'-------------------------------------------------------------------------------

Namespace Infos.Analyzer
    Public Class SymbolInfo

        Private _name As String
        Private _isTerminal As Boolean

        Public Sub New(ByVal name As String, ByVal isterminal As Boolean)
            _name = name
            _isTerminal = isterminal
        End Sub

        Public Sub New()
            Me.New(String.Empty, True)
        End Sub

        Public Property Name() As String
            Get
                Return _name
            End Get
            Set(ByVal value As String)
                _name = value
            End Set
        End Property

        Public Property IsTerminal() As Boolean
            Get
                Return _isTerminal
            End Get
            Set(ByVal value As Boolean)
                _isTerminal = value
            End Set
        End Property

    End Class
End Namespace